aboutsummaryrefslogtreecommitdiff
path: root/test/lint/lint-python.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/lint/lint-python.sh')
-rwxr-xr-xtest/lint/lint-python.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/test/lint/lint-python.sh b/test/lint/lint-python.sh
index 3d22407fd1..96b34d715e 100755
--- a/test/lint/lint-python.sh
+++ b/test/lint/lint-python.sh
@@ -92,6 +92,7 @@ fi
EXIT_CODE=0
+# shellcheck disable=SC2046
if ! PYTHONWARNINGS="ignore" flake8 --ignore=B,C,E,F,I,N,W --select=$(IFS=","; echo "${enabled[*]}") $(
if [[ $# == 0 ]]; then
git ls-files "*.py"
@@ -102,7 +103,8 @@ if ! PYTHONWARNINGS="ignore" flake8 --ignore=B,C,E,F,I,N,W --select=$(IFS=","; e
EXIT_CODE=1
fi
-if ! mypy --show-error-codes $(git ls-files "test/functional/*.py" "contrib/devtools/*.py"); then
+mapfile -t FILES < <(git ls-files "test/functional/*.py" "contrib/devtools/*.py")
+if ! mypy --show-error-codes "${FILES[@]}"; then
EXIT_CODE=1
fi